Subject: Re: A tour of git: the basics (and notes on some unfriendly messages)

From: Pierre Habouzit <[email-masked]>
Date: Sun, 30 Sep 2007 15:49:37 +0200

On Sun, Sep 30, 2007 at 12:45:34PM +0000, Wincent Colaiuta wrote:
> El 29/9/2007, a las 11:01, Pierre Habouzit escribió:
> 
> >  Many git commands output are still messy and indeed, having them in C
> >should help in that regard. The usual culprit are I think:
> >
> >  * git fetch/clone/pull/.. ;
> >  * git push ;
> >  * git repack/gc/... ;
> >  * git merge (even with the merge.verbosity set to the minimum it's
> >    still not very readable and confusing).
> >
> >
> >  I do believe that the quite verbose output git commands sometimes have
> >is quite confusing, and let the user think it's messy. I believe that
> >porcelains should be more silent, it's OK for the plumbing to spit
> >progress messages and so on, because people using the plumbing are able
> >to understand those, but porcelains should not.
> 
> I think that most people just want to know, "Did it work or not?" and so 
> when the commands chatter too much they go into filter mode, don't really 
> read the output, let alone try to understand it, and just skim it. 
> Ideally Git would be much less "chattery" in general when things work, 
> and only be more verbose when things go wrong; of course, finding that 
> balance point is where the art lies.

  That's true for git merge that is fast. But people also want to know
the command is not stuck in an infinite loop, and for that progress bars
or little \|/- animation.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org